# Uses of Interface
org.springframework.core.annotation.MergedAnnotationSelector

Packages that use MergedAnnotationSelector
Package
Description
org.springframework.core.annotation
Core support package for annotations, meta-annotations, and merged annotations with attribute overrides.

## Uses of MergedAnnotationSelector in org.springframework.core.annotation

Methods in org.springframework.core.annotation that return MergedAnnotationSelector
Modifier and Type
Method
Description
`static <A extends Annotation>
MergedAnnotationSelector<A>`
MergedAnnotationSelectors.`firstDirectlyDeclared()`
Select the first directly declared annotation when possible.
`static <A extends Annotation>
MergedAnnotationSelector<A>`
MergedAnnotationSelectors.`nearest()`
Select the nearest annotation, i.e.
Methods in org.springframework.core.annotation with parameters of type MergedAnnotationSelector
Modifier and Type
Method
Description
`<A extends Annotation>
MergedAnnotation<A>`
MergedAnnotations.`get(Class<A> annotationType, Predicate<? super MergedAnnotation<A>> predicate, MergedAnnotationSelector<A> selector)`
Get a matching annotation or meta-annotation of the specified type, or `MergedAnnotation.missing()` if none is present.
`<A extends Annotation>
MergedAnnotation<A>`
MergedAnnotations.`get(String annotationType, Predicate<? super MergedAnnotation<A>> predicate, MergedAnnotationSelector<A> selector)`
Get a matching annotation or meta-annotation of the specified type, or `MergedAnnotation.missing()` if none is present.